import React from "react";

// TODO eventually we want this to query and show other players
// TODO also should show the actual location of the last round


const RoundSummary = ({
  googleApiKey,
  roundNum, 
  score, 
  totalScore,
  onAdvanceState,
  buttonText,
  selectedPoint,
  targetPoint,
}) => {
  // TODO determine zoom and center dynamically
  const mapUrl = `https://maps.googleapis.com/maps/api/staticmap?key=${googleApiKey}`;
  const size = `&size=600x400`
  const zoom = `&zoom=5`;
  const centerOnTarget = `&center=${targetPoint.lat},${targetPoint.lng}`;
  const targetMarker = `&markers=color:blue|label:T|${targetPoint.lat},${targetPoint.lng}`;
  const selectedMarker = selectedPoint ? `&markers=color:red|label:S|${selectedPoint.lat},${selectedPoint.lng}` : ""
  
  return (
    <div>
      <img 
        src={mapUrl + size + zoom + centerOnTarget + targetMarker + selectedMarker}
        alt={`Map pointing to ${targetPoint.lat},${targetPoint.lng}`}
      />
      {selectedPoint ? <p>You Selected: {`${selectedPoint.lat},${selectedPoint.lng}`}</p> : <p>Timed out!</p>}
      <p>Target: {targetPoint.lat},{targetPoint.lng}</p>
      <p>Score For Round {roundNum}: {score}</p>
      <p>Running Total Score: {totalScore}</p>
      <button
        onClick={onAdvanceState}>
        {buttonText}
      </button>
    </div>
  );
}
  
export default RoundSummary;
  